###!/usr/bin/python

import Number

class AlbDict( dict ):

    def __hash__( self, value ):
        return long( value )

    def sortedkeys( self ):
        keys = self.keys( )
        keys.sort( )
        return keys

    def sortedvalues( self, key = None ):
        if not key:
            values = self.values( )
        else:
            values = self[ key ].values( )
        
        values.sort( )

        return values

    def reversedvalues( self, key = None ):
        if not key:
            values = self.values( )
        else:
            values = self[ key ].values( )
        
        values.sort( )
        values.reverse( )

        return values

    def item_number( self, index ):
        keys  = self.keys( )
        key   = keys[ index ]
        value = self[ key ]
        return value
    
    def first( self ):
        """
        Answer the receiver's first item.
        """
        
        return self.item_number( 0 )

    def adjResultsMinMax( self, results ):

        for result in results:
            factors = result.factors( ).values( )
            for factor in factors:
                self.adjMinMax( factor )

        return self

    def adjMinMax_xxxdef( self, factor ):

        p = factor.prime( )
        q = factor.power( )
        if not self.has_key( p ):
            hi = lo = q
        else:
            ( lo, hi ) = self[ p ]
            if q < lo:
                lo = q
            if q > hi:
                hi = q

        self[ p ] = [ lo, hi ]

    def addFactor( self, factor ):

        p = factor.prime( )

        if self.has_key( p ):
            qn = factor.power( )
            qo = self[ p ].power( )
            factor = Number.Number( p, qn + qo )
        
        self[ p ] = factor

        return self
