#!/usr/bin/python

import time

import Factors
import FactorCache

def Test( ):

    print "FactorCache.Test:"

    fc = FactorCache.FactorCache( )
    print "{%s}" % fc

    for i in ( 3, 5, 7, 11 ):
        fc.at_put( i, Factors.Factors( i * 121 * 169 ) )
    str = "%s" % fc
    print "{\n%s}\n" % str

    for i in ( 7, 6, 5, 4, 3 ):
        print "  %d %s" % ( i, fc.at( i ) )

    # FC.1: 35 57.95 39.20
    # FC.2: 0:  0.55  0.24

    if False:
        min = 1000001
        max = 2000000
        beg = time.time( )
        for n in range( min, max, 2 ):
            f = Factors.Factors( n )
            fc.at_put( n, f )
        fin = time.time( )
        print "  %s" % ( fin - beg )

        beg = time.time( )
        for n in range( min, max, 2 ):
            f = fc.at( n)
        fin = time.time( )
        print "  %s" % ( fin - beg )

if __name__ == '__main__':

    import sys

    verbose = 0

    if len( sys.argv ) == 1:
        Test( )
        Factors.Mersenne_Test( 3, 30 )
        Factors.Lucas_Lehmer_Test( 3, 30 )
    else:
        beg = time.time( )

        for arg in sys.argv:
            if arg == "t":
                Test( )

        fin = time.time( )
        print " time: %4.2f" % ( fin - beg )
