#!/usr/bin/python

import globals
import time, types

class TimeStamp:

    def __init__( self, anObject=None ):

        # convert integer to float-seconds
        # returns time in format "%y-%m-%d %H:%M:%S"

        if anObject == "p" and globals.quiet != 0:
            self._timestamp = " "
        elif isinstance( anObject, types.StringType ):
            self._timestamp = anObject
        else:
            self._timestamp = self.localtime( )

    def __str__( self ):

        # return cached timestamp

        return self._timestamp

    def localtime( self ):

        t = time.localtime( time.time( ) )
        s = time.strftime( "%y-%m-%d %H:%M:%S", t )

        return s

if __name__ == '__main__':

    t = TimeStamp( )
    print t

    t = TimeStamp( "88-01-02 03:04:05" )
    print t
    
