#!/usr/bin/python

import sys
from mpz import *

quiet = 0    # controls timestamp printing
save  = True # allow writing RSLTS.txt

verbose = 0
qvs_flag = 0

quiet = 0

ndm_flag = 0
qrc = 0

printCycle = 0
printDate = 0
printResult = 0
printState = 0

testConflict = 0
testDebug = 0
testMode = 0

import ALB
import MPNG
import Saver
import FactorCache
import ResultCache
import SigmaFactorCache

if len( sys.argv ) > 1:
    if sys.argv[1] == "new":  new = True
    if sys.argv[1] == "old":  new = False

PROG = MPNG.MPNG( None )
Saver = Saver.Saver( PROG )
FactorCache = FactorCache.FactorCache( Saver )
ResultCache = ResultCache.ResultCache( Saver )
SigmaFactorCache = SigmaFactorCache.SigmaFactorCache( Saver )
PrintResultsByOrder = False
