#!/usr/bin/python

import time, types

class TimeStamp:

    def __init__( self, anObject ):
        # convert integer to float-seconds
        # returns time in format "%y-%m-%d %H:%M:%S"

        t = time.gmtime( int( anObject ) * 1.0 )

        self._timestamp = time.strftime( "%y-%m-%d %H:%M:%S", t )


    def type( self ):

        return "secs_2_date"

    def __str__( self ):

        # return cached timestamp

        return self._timestamp

    def value( self ):

        # return cached timestamp

        return self.__str__( )

if __name__ == '__main__':

    import sys

    if len( sys.argv ) == 1:
        import re

        while True:
            line = sys.stdin.readline( ).strip( )
            if line == '':
                break
            tokens = re.split( "(: )", line )
            tokens[ 0 ] = TimeStamp( tokens[ 0 ] ).value( )
            tokens[ 1 ] = re.sub( ":", " ", tokens[ 1 ] )
            print "%s" % "".join( tokens )

    else:
    
        for arg in sys.argv[1:]:
            print "%s %s" % ( arg, TimeStamp( arg ) )
