#!/usr/bin/python

import sys, re, time

from mpz import *

def hhmmss( t ):
    try:
        t = int( t )
        hh = t / 3600
        mm = ( t % 3600 ) / 60
        ss = t % 60
    except:
        hh = t.tm_hour
        mm = t.tm_min
        ss = t.tm_sec

    if hh > 0:
        return "%2d:%02d:%02d " % ( hh, mm, ss )
    elif mm > 0:
        return "   %2d:%02d " % ( mm, ss )
    else:
        return "      %2ds" % ( ss )

def time_now( format = "%y-%m-%d %H:%M:%S" ):
    t = time.localtime( time.time( ) )
    s = time.strftime( format, t )
    return s
