###!/usr/bin/python

import sys, types

import AlbDict

class Cache:

    def __init__( self, saver ):
        self._dict = { }
        self._dict = AlbDict.AlbDict( )
        self._saver = saver
        return

    def type( self ):

        return "Cache"

    def at( self, key ):
        try:
            value = self._dict[ key ]
            return value.copy( )
        except:
            return None

    def at_put( self, key, value ):
        self._dict[ key ] = value.copy( )

    def add( self, anObject, aValue = None ):
        if isinstance( anObject, types.StringType ):
            self.addString( anObject )
        else:
            self.addValue( anObject, aValue )

    def sortedkeys( self ):
        return self._dict.sortedkeys( )

    def load( self, file ):
        while 1:
            line = file.readline( ).strip( )
            if line == None:
                return
            if len( line ) < 3 or line[ 0 ] == "#":
                continue
            if line[ 0 ] == "*":
                break
            self.addString( line )

        return self
