###!/usr/bin/python

import globals
import types

import Cache
import Factors

class ResultCounter:

    def __init__( self ):
        self._new = 0
        self._old = 0
        self._dup = 0
        self._unk = 0
        self._tot = 0
        return

    def type( self ):

        return "ResultCounter"

    def __str__( self ):
        if self._unk == 0:
            answer = "    counts:  NEW - %d,  OLD - %d,  DUP - %d, TOT - %d" % \
                     ( self._new, self._old, self._dup, self._tot )
        else:
            answer = "    counts:  NEW - %d,  OLD - %d,  DUP - %d,  UNK - %d, TOT - %d" % \
                     ( self._new, self._old, self._dup, self._unk, self._tot )
        return answer

    def update( self, result ):
        if result == None:
            state = "new"
        elif isinstance( result, types.StringType ):
            state = result
        else:
            state = result.state( )

        if state == "new":
            self._new += 1
        elif state == "old":
            self._old += 1
        elif state == "dup":
            self._dup += 1
        else:
            self._unk += 1

        self._tot += 1

        return
