#!/usr/bin/python

import sys
from mpz import *
from util import *

def pollard_rho_test( n ):
    n = mpz( n )
    f = n.factor_using_pollard_rho( )
    print n, f

if __name__ == '__main__':

#   Test_Pollard_Rho.py 1 17 77 127 3599 3600 3601 3661
#       1s
#      17s
#    1:17 
#    2:07 
#   59:59 
# 1:00:00 
# 1:00:01 
# 1:01:01 

    for i in range( 1, len( sys.argv ) ):
        n = int( sys.argv[ i ] )
        print hhmmss( n )
        pollard_rho_test( n )
