#!/usr/bin/python

import time

import Number
import Factors
import SigmaFactor
import SigmaFactorCache

#verbose = 0

def Test( ):

    print "SigmaFactorCache.Test:"

    sfc = SigmaFactorCache.SigmaFactorCache( )

    for q in ( 1, 3 ):
        for p in ( 3, 5, 7, 11 ):
            n = Number.Number( p, q )
            f = Factors.Factors( ( p ** ( q + 1 ) - 1 ) / ( p - 1 ))
            sfc.add( n, f )
    print "%s" % sfc

    for p in ( 7, 5, 3 ):
        for q in ( 1, 3 ):
            n = Number.Number( p, q )
            try:
                ( d, f ) = sfc.at( n )
                print "  %s %s" % ( n, f )
            except:
                continue
    print

    print "%s" % sfc
    # FC.1: 35 57.95 39.20
    # FC.2: 0:  0.55  0.24

    if False:
        min = 1000001
        max = 2000000
        beg = time.time( )
        for n in range( min, max, 2 ):
            f = Factors( n )
            sfc.at_put( n, f )
        fin = time.time( )
        print "  %s" % ( fin - beg )

        beg = time.time( )
        for n in range( min, max, 2 ):
            f = sfc.at( n)
        fin = time.time( )
        print "  %s" % ( fin - beg )

if __name__ == '__main__':

    import sys

    if len( sys.argv ) == 1:
        Test( )
    else:
        beg = time.time( )
        for arg in sys.argv:

            if arg == "q":
                globals.quiet += 1

            if arg == "t":
                Test( )

        fin = time.time( )
        print " time: %4.2f" % ( fin - beg )
