#!/usr/bin/python

import sys, re, time

import gmpy

def add( max, fast ):

    beg = time.time( )

    if fast:
        v = gmpy.mpz( 1 )
    else:
        v = 1

    for i in range( 0, max+1 ):
        v = v + v

    now = time.time( )
    print " %f" % ( now - beg ),

def mpy( max, fast ):

    beg = time.time( )

    if fast:
        v = gmpy.mpz( 1 )
    else:
        v = 1

    for i in range( 0, max+1 ):
        v = v * 2

    now = time.time( )
    print " %f" % ( now - beg ),

def verify( max ):

    beg = time.time( )

    v = 1
    g = gmpy.mpz( 1 )

    for i in range( 0, max+1 ):
        if v != g:
            print "%2d ERR" % ( i, len( "%s" % g ), g )
            print "    v: %s" % v
            print "    g: %s" % g
        v = v * 2
        g = g * 2

if __name__ == '__main__':

    max = 1000000
    max = 100000
#   verify( max )

#                 .......gmpy.......        ......python......
#                  add          mpy          add          mpy
# 1        0     0.000020     0.000025     0.000004     0.000004
# 10       1     0.000030     0.000033     0.000020     0.000023
# 100      2     0.000279     0.000324     0.000294     0.000371
# 1000     3     0.003631     0.004175     0.010657     0.012654
# 10000    4     0.120790     0.134245     0.804975     0.968558
# 100000   5    15.417168    16.706253    83.238576   104.132677
# 1000000  6  3958.909294  4036.833009  8728.191683 12697.640704

    pow = 0
    max = 1
    for i in range( 1, 10 ):
        print "%2d" % pow ,
        pow = pow + 1
        max = max * 10
        add( max, True )
        mpy( max, True )
        add( max, False )
        mpy( max, False )
        print
        sys.stdout.flush( )
